// scripts/generate-env.js
const fs = require("fs");

const env = {
  SUPABASE_URL: process.env.SUPABASE_URL || "http://localhost:8000"
};

const content = `window.RUNTIME_ENV = ${JSON.stringify(env, null, 2)};`

fs.writeFileSync("public/env.js", content);
